diff -crN nakedmudv1.4/src/.depend nakedmudv1.5/src/.depend
*** nakedmudv1.4/src/.depend	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv1.5/src/.depend	2010-11-01 15:54:17.000000000 -0500
***************
*** 1,171 ****
  gameloop.o: gameloop.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h socket.h world.h character.h object.h utils.h text_editor.h \
!   save.h handler.h inform.h log.h races.h action.h event.h auxiliary.h \
!   storage.h time/mudtime.h scripts/script.h olc/olc.h alias/alias.h \
!   char_vars/char_vars.h socials/socials.h
  mud.o: mud.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h utils.h text_editor.h storage.h
  utils.o: utils.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h character.h object.h world.h zone.h room.h exit.h socket.h \
!   utils.h text_editor.h save.h handler.h inform.h dialog.h event.h \
!   action.h help.h scripts/script.h
  interpret.o: interpret.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h utils.h text_editor.h character.h socket.h room.h \
!   movement.h commands.h action.h scripts/script.h alias/alias.h
  handler.o: handler.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h handler.h room.h exit.h extra_descs.h character.h object.h \
!   utils.h text_editor.h body.h items.h inform.h scripts/script.h
  inform.o: inform.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h character.h object.h world.h room.h exit.h extra_descs.h \
!   utils.h text_editor.h body.h races.h items.h handler.h socket.h \
!   inform.h log.h time/mudtime.h
  movement.o: movement.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h character.h world.h room.h exit.h movement.h handler.h \
!   inform.h builder.h utils.h text_editor.h items.h object.h \
    scripts/script.h
  action.o: action.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h utils.h text_editor.h character.h action.h
  mccp.o: mccp.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h socket.h utils.h text_editor.h
  save.o: save.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h character.h world.h utils.h text_editor.h handler.h body.h \
!   object.h room.h storage.h
  socket.o: socket.c wrapsock.h mud.h property_table.h list.h hashmap.h \
!   hashtable.h character.h utils.h text_editor.h socket.h olc/olc.h
  io.o: io.c mud.h wrapsock.h property_table.h list.h hashmap.h hashtable.h \
!   utils.h text_editor.h
  strings.o: strings.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h utils.h text_editor.h
  event.o: event.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h utils.h text_editor.h character.h event.h
  cmd_comm.o: cmd_comm.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h utils.h text_editor.h handler.h inform.h character.h \
    world.h dialog.h scripts/script.h
  cmd_manip.o: cmd_manip.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h utils.h text_editor.h handler.h inform.h \
    character.h items.h exit.h world.h room.h extra_descs.h object.h
  cmd_misc.o: cmd_misc.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h character.h socket.h utils.h text_editor.h save.h event.h \
!   handler.h
! text_editor.o: text_editor.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h socket.h text_editor.h utils.h scripts/script.h \
!   olc/olc.h
! builder.o: builder.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h world.h zone.h room.h exit.h movement.h builder.h \
    character.h object.h handler.h inform.h utils.h text_editor.h races.h \
    items.h dialog.h scripts/script.h scripts/script_set.h
! admin.o: admin.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h world.h inform.h character.h handler.h utils.h \
!   text_editor.h log.h socket.h save.h event.h action.h storage.h
! help.o: help.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h character.h help.h
! items.o: items.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h object.h items.h
  races.o: races.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h races.h body.h utils.h text_editor.h
  log.o: log.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h utils.h text_editor.h character.h storage.h log.h
  auxiliary.o: auxiliary.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h utils.h text_editor.h storage.h auxiliary.h
  world.o: world.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h zone.h room.h character.h object.h dialog.h utils.h \
    text_editor.h storage.h world.h scripts/script.h
  character.o: character.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h utils.h text_editor.h body.h races.h handler.h \
!   auxiliary.h storage.h room.h character.h
  room.o: room.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h exit.h extra_descs.h utils.h text_editor.h handler.h \
    character.h auxiliary.h storage.h room_reset.h room.h scripts/script.h
  exit.o: exit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h utils.h text_editor.h storage.h exit.h
  extra_descs.o: extra_descs.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h utils.h text_editor.h storage.h extra_descs.h
  object.o: object.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h extra_descs.h utils.h text_editor.h items.h body.h \
    handler.h storage.h auxiliary.h object.h
  body.o: body.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h body.h utils.h text_editor.h
  zone.o: zone.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h storage.h object.h character.h room.h zone.h utils.h \
!   text_editor.h dialog.h scripts/script.h
  dialog.o: dialog.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h utils.h text_editor.h dialog.h storage.h
  room_reset.o: room_reset.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h utils.h text_editor.h storage.h room.h world.h \
!   character.h body.h object.h exit.h handler.h items.h room_reset.h
  list.o: list.c list.h
  property_table.o: property_table.c mud.h wrapsock.h property_table.h \
!   list.h hashmap.h hashtable.h utils.h text_editor.h
  hashtable.o: hashtable.c list.h hashtable.h
  hashmap.o: hashmap.c list.h hashmap.h
  storage.o: storage.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h utils.h text_editor.h storage.h
  time.o: time/time.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h utils.h text_editor.h inform.h character.h room.h event.h \
!   storage.h auxiliary.h time/mudtime.h
  alias.o: alias/alias.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h utils.h text_editor.h auxiliary.h storage.h character.h \
!   alias/alias.h
  char_vars.o: char_vars/char_vars.c mud.h wrapsock.h property_table.h \
!   list.h hashmap.h hashtable.h utils.h text_editor.h character.h \
    storage.h auxiliary.h char_vars/char_vars.h
  socials.o: socials/socials.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h utils.h text_editor.h storage.h handler.h \
    inform.h character.h socials/socials.h
  dedit.o: olc/dedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h socket.h utils.h text_editor.h dialog.h olc/olc.h
  edesc_edit.o: olc/edesc_edit.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h socket.h utils.h text_editor.h extra_descs.h \
!   olc/olc.h
  exedit.o: olc/exedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h exit.h socket.h utils.h text_editor.h olc/olc.h
  medit.o: olc/medit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h world.h character.h socket.h utils.h text_editor.h races.h \
!   dialog.h olc/olc.h scripts/script_set.h scripts/script.h
  oedit.o: olc/oedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h world.h object.h extra_descs.h socket.h utils.h \
    text_editor.h body.h items.h olc/olc.h scripts/script_set.h \
    scripts/script.h
  redit.o: olc/redit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h world.h room.h exit.h room_reset.h extra_descs.h socket.h \
!   utils.h text_editor.h olc/olc.h scripts/script_set.h scripts/script.h \
!   time/mudtime.h
  zedit.o: olc/zedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h world.h zone.h socket.h utils.h text_editor.h olc/olc.h
  ssedit.o: olc/ssedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h socket.h world.h utils.h text_editor.h olc/olc.h \
    scripts/script.h scripts/script_set.h
  scedit.o: olc/scedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h socket.h utils.h text_editor.h olc/olc.h scripts/script.h
  resedit.o: olc/resedit.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h socket.h utils.h text_editor.h world.h object.h \
!   character.h room_reset.h olc/olc.h
  socedit.o: olc/socedit.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h socket.h utils.h text_editor.h character.h \
    socials/socials.h olc/olc.h
  olc.o: olc/olc.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h socket.h object.h character.h world.h zone.h room.h \
    room_reset.h exit.h extra_descs.h dialog.h olc/olc.h scripts/script.h \
    scripts/script_set.h socials/socials.h
  script_set.o: scripts/script_set.c mud.h wrapsock.h property_table.h \
!   list.h hashmap.h hashtable.h utils.h text_editor.h world.h \
    scripts/script_set.h scripts/script.h
  script.o: scripts/script.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h utils.h text_editor.h socket.h character.h room.h \
!   object.h storage.h auxiliary.h scripts/script.h scripts/script_set.h \
!   scripts/pychar.h scripts/pyroom.h scripts/pyobj.h scripts/pymud.h
  pychar.o: scripts/pychar.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h world.h room.h character.h object.h items.h \
    races.h handler.h utils.h text_editor.h scripts/script.h \
    scripts/pychar.h scripts/pyroom.h scripts/pyobj.h char_vars/char_vars.h
  pyobj.o: scripts/pyobj.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h world.h room.h character.h object.h races.h \
    handler.h utils.h text_editor.h scripts/script.h scripts/pychar.h \
    scripts/pyroom.h scripts/pyobj.h
  pymud.o: scripts/pymud.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h scripts/script.h scripts/pyroom.h \
    scripts/pychar.h scripts/pyobj.h
  pyroom.o: scripts/pyroom.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h world.h room.h exit.h character.h races.h \
    handler.h utils.h text_editor.h scripts/script.h scripts/pyroom.h \
    scripts/pychar.h scripts/pyobj.h
--- 1,179 ----
  gameloop.o: gameloop.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h socket.h world.h character.h object.h utils.h \
!   text_editor.h save.h handler.h inform.h log.h action.h event.h \
!   auxiliary.h storage.h races.h body.h time/mudtime.h scripts/script.h \
!   olc/olc.h alias/alias.h char_vars/char_vars.h socials/socials.h \
!   help/help.h
  mud.o: mud.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h utils.h text_editor.h storage.h
  utils.o: utils.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h character.h object.h world.h zone.h room.h exit.h \
!   socket.h utils.h text_editor.h save.h handler.h inform.h dialog.h \
!   event.h action.h scripts/script.h
  interpret.o: interpret.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h set.h utils.h text_editor.h character.h socket.h \
!   room.h movement.h commands.h action.h scripts/script.h alias/alias.h
  handler.o: handler.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h handler.h room.h exit.h extra_descs.h character.h \
!   object.h utils.h text_editor.h body.h items.h inform.h scripts/script.h
  inform.o: inform.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h character.h object.h world.h room.h exit.h \
!   extra_descs.h utils.h text_editor.h body.h races.h items.h handler.h \
!   socket.h inform.h log.h time/mudtime.h
  movement.o: movement.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h character.h world.h zone.h room.h exit.h movement.h \
!   handler.h inform.h utils.h text_editor.h items.h object.h \
    scripts/script.h
  action.o: action.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h utils.h text_editor.h character.h action.h
  mccp.o: mccp.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h socket.h utils.h text_editor.h
  save.o: save.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h character.h world.h utils.h text_editor.h handler.h \
!   body.h object.h room.h storage.h
  socket.o: socket.c wrapsock.h mud.h property_table.h list.h hashmap.h \
!   hashtable.h set.h character.h utils.h text_editor.h socket.h olc/olc.h
  io.o: io.c mud.h wrapsock.h property_table.h list.h hashmap.h hashtable.h \
!   set.h utils.h text_editor.h
  strings.o: strings.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h utils.h text_editor.h
  event.o: event.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h utils.h text_editor.h character.h event.h
  cmd_comm.o: cmd_comm.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h utils.h text_editor.h handler.h inform.h character.h \
    world.h dialog.h scripts/script.h
  cmd_manip.o: cmd_manip.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h set.h utils.h text_editor.h handler.h inform.h \
    character.h items.h exit.h world.h room.h extra_descs.h object.h
  cmd_misc.o: cmd_misc.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h character.h socket.h utils.h text_editor.h save.h \
!   event.h action.h handler.h
! cmd_admin.o: cmd_admin.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h set.h world.h inform.h character.h handler.h \
!   utils.h text_editor.h log.h socket.h save.h event.h action.h storage.h
! cmd_builder.o: cmd_builder.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h set.h world.h zone.h room.h exit.h movement.h \
    character.h object.h handler.h inform.h utils.h text_editor.h races.h \
    items.h dialog.h scripts/script.h scripts/script_set.h
! text_editor.o: text_editor.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h set.h socket.h text_editor.h utils.h \
!   scripts/script.h olc/olc.h
  races.o: races.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h body.h utils.h text_editor.h races.h
! items.o: items.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h object.h items.h
  log.o: log.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h utils.h text_editor.h character.h storage.h log.h
  auxiliary.o: auxiliary.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h set.h utils.h text_editor.h storage.h auxiliary.h
  world.o: world.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h zone.h room.h character.h object.h dialog.h utils.h \
    text_editor.h storage.h world.h scripts/script.h
  character.o: character.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h set.h utils.h text_editor.h body.h races.h \
!   handler.h auxiliary.h storage.h room.h character.h
  room.o: room.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h exit.h extra_descs.h utils.h text_editor.h handler.h \
    character.h auxiliary.h storage.h room_reset.h room.h scripts/script.h
  exit.o: exit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h utils.h text_editor.h storage.h exit.h
  extra_descs.o: extra_descs.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h set.h utils.h text_editor.h storage.h \
!   extra_descs.h
  object.o: object.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h extra_descs.h utils.h text_editor.h items.h body.h \
    handler.h storage.h auxiliary.h object.h
  body.o: body.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h body.h utils.h text_editor.h
  zone.o: zone.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h storage.h object.h character.h room.h utils.h \
!   text_editor.h auxiliary.h dialog.h zone.h scripts/script.h
  dialog.o: dialog.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h utils.h text_editor.h dialog.h storage.h
  room_reset.o: room_reset.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h set.h utils.h text_editor.h storage.h room.h \
!   world.h character.h body.h object.h exit.h handler.h items.h \
!   room_reset.h
  list.o: list.c list.h
  property_table.o: property_table.c mud.h wrapsock.h property_table.h \
!   list.h hashmap.h hashtable.h set.h utils.h text_editor.h
  hashtable.o: hashtable.c list.h hashtable.h
  hashmap.o: hashmap.c list.h hashmap.h
  storage.o: storage.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h utils.h text_editor.h storage.h
! set.o: set.c list.h set.h
  time.o: time/time.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h utils.h text_editor.h inform.h character.h room.h \
!   event.h storage.h auxiliary.h time/mudtime.h
  alias.o: alias/alias.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h utils.h text_editor.h auxiliary.h storage.h \
!   character.h alias/alias.h
  char_vars.o: char_vars/char_vars.c mud.h wrapsock.h property_table.h \
!   list.h hashmap.h hashtable.h set.h utils.h text_editor.h character.h \
    storage.h auxiliary.h char_vars/char_vars.h
  socials.o: socials/socials.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h set.h utils.h text_editor.h storage.h handler.h \
    inform.h character.h socials/socials.h
  dedit.o: olc/dedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h socket.h utils.h text_editor.h dialog.h olc/olc.h
  edesc_edit.o: olc/edesc_edit.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h set.h socket.h utils.h text_editor.h \
!   extra_descs.h olc/olc.h
  exedit.o: olc/exedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h exit.h socket.h utils.h text_editor.h olc/olc.h
  medit.o: olc/medit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h world.h character.h socket.h utils.h text_editor.h \
!   races.h dialog.h olc/olc.h scripts/script_set.h scripts/script.h
  oedit.o: olc/oedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h world.h object.h extra_descs.h socket.h utils.h \
    text_editor.h body.h items.h olc/olc.h scripts/script_set.h \
    scripts/script.h
  redit.o: olc/redit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h world.h room.h exit.h room_reset.h extra_descs.h \
!   socket.h utils.h text_editor.h olc/olc.h scripts/script_set.h \
!   scripts/script.h time/mudtime.h
  zedit.o: olc/zedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h world.h zone.h socket.h utils.h text_editor.h \
!   olc/olc.h
  ssedit.o: olc/ssedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h socket.h world.h utils.h text_editor.h olc/olc.h \
    scripts/script.h scripts/script_set.h
  scedit.o: olc/scedit.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h socket.h utils.h text_editor.h olc/olc.h \
!   scripts/script.h
  resedit.o: olc/resedit.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h set.h socket.h utils.h text_editor.h world.h \
!   object.h character.h room_reset.h olc/olc.h
  socedit.o: olc/socedit.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h set.h socket.h utils.h text_editor.h character.h \
    socials/socials.h olc/olc.h
  olc.o: olc/olc.c mud.h wrapsock.h property_table.h list.h hashmap.h \
!   hashtable.h set.h socket.h object.h character.h world.h zone.h room.h \
    room_reset.h exit.h extra_descs.h dialog.h olc/olc.h scripts/script.h \
    scripts/script_set.h socials/socials.h
  script_set.o: scripts/script_set.c mud.h wrapsock.h property_table.h \
!   list.h hashmap.h hashtable.h set.h utils.h text_editor.h world.h \
    scripts/script_set.h scripts/script.h
  script.o: scripts/script.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h set.h utils.h text_editor.h socket.h character.h \
!   room.h object.h storage.h auxiliary.h scripts/script.h \
!   scripts/script_set.h scripts/pychar.h scripts/pyroom.h scripts/pyobj.h \
!   scripts/pymud.h
  pychar.o: scripts/pychar.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h set.h world.h room.h character.h object.h items.h \
    races.h handler.h utils.h text_editor.h scripts/script.h \
    scripts/pychar.h scripts/pyroom.h scripts/pyobj.h char_vars/char_vars.h
  pyobj.o: scripts/pyobj.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h set.h world.h room.h character.h object.h races.h \
    handler.h utils.h text_editor.h scripts/script.h scripts/pychar.h \
    scripts/pyroom.h scripts/pyobj.h
  pymud.o: scripts/pymud.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h set.h scripts/script.h scripts/pyroom.h \
    scripts/pychar.h scripts/pyobj.h
  pyroom.o: scripts/pyroom.c mud.h wrapsock.h property_table.h list.h \
!   hashmap.h hashtable.h set.h world.h room.h exit.h character.h races.h \
    handler.h utils.h text_editor.h scripts/script.h scripts/pyroom.h \
    scripts/pychar.h scripts/pyobj.h
+ help.o: help/help.c mud.h wrapsock.h property_table.h list.h hashmap.h \
+   hashtable.h set.h utils.h text_editor.h storage.h character.h socket.h \
+   help/help.h
diff -crN nakedmudv1.4/src/dialog.c nakedmudv1.5/src/dialog.c
*** nakedmudv1.4/src/dialog.c	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv1.5/src/dialog.c	2010-11-01 15:54:17.000000000 -0500
***************
*** 55,62 ****
  
  STORAGE_SET *responseStore(RESPONSE_DATA *data) {
    STORAGE_SET *set = new_storage_set();
!   store_string(set, "keywords", data->keywords, NULL);
!   store_string(set, "message",  data->message,  NULL);
    return set;
  }
  
--- 55,62 ----
  
  STORAGE_SET *responseStore(RESPONSE_DATA *data) {
    STORAGE_SET *set = new_storage_set();
!   store_string(set, "keywords", data->keywords);
!   store_string(set, "message",  data->message);
    return set;
  }
  
***************
*** 128,138 ****
  
  STORAGE_SET *dialogStore(DIALOG_DATA *dialog) {
    STORAGE_SET *set = new_storage_set();
!   store_int   (set, "vnum",     dialog->vnum, NULL);
!   store_string(set, "name",     dialog->name, NULL);
!   store_string(set, "greet",    dialog->greet, NULL);
!   store_list(set, "responses", gen_store_list(dialog->responses, responseStore),
! 	     NULL);
    return set;
  }
  
--- 128,137 ----
  
  STORAGE_SET *dialogStore(DIALOG_DATA *dialog) {
    STORAGE_SET *set = new_storage_set();
!   store_int   (set, "vnum",     dialog->vnum);
!   store_string(set, "name",     dialog->name);
!   store_string(set, "greet",    dialog->greet);
!   store_list(set, "responses", gen_store_list(dialog->responses,responseStore));
    return set;
  }
  
diff -crN nakedmudv1.4/src/event.c nakedmudv1.5/src/event.c
*** nakedmudv1.4/src/event.c	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv1.5/src/event.c	2010-11-01 15:54:17.000000000 -0500
***************
*** 24,35 ****
  LIST    *events = NULL;
  
  struct event_data {
!   void *owner; // who is the lucky person who owns this event?
    void (*  on_complete)(void *owner, void *data, char *arg);
    bool (*  check_involvement)(void *thing, void *data);
!   int   delay; // how much longer until the event is complete?
!   void *data;  // data for the event
!   char *arg;   // an argument supplied to an event
  };
  
  
--- 24,37 ----
  LIST    *events = NULL;
  
  struct event_data {
!   void *owner;   // who is the lucky person who owns this event?
    void (*  on_complete)(void *owner, void *data, char *arg);
    bool (*  check_involvement)(void *thing, void *data);
!   int   delay;   // how much longer until the event is complete?
!   int   tot_time;// what is the total delay before the event fires?
!   void *data;    // data for the event
!   char *arg;     // an argument supplied to an event
!   bool  requeue; // is the event requeue'd after it goes off?
  };
  
  
***************
*** 75,88 ****
  		     int delay, 	
  		     void (*  on_complete)(void *owner, void *data, char *arg),
  		     bool (* check_involvement)(void *thing, void *data),
! 		     void *data, char *arg) {
    EVENT_DATA *event        = malloc(sizeof(EVENT_DATA));
    event->owner             = owner;
    event->on_complete       = on_complete;
    event->check_involvement = check_involvement;
    event->delay             = delay;
    event->data              = data;
    event->arg               = strdup(arg ? arg :"");
    return event;
  }
  
--- 77,92 ----
  		     int delay, 	
  		     void (*  on_complete)(void *owner, void *data, char *arg),
  		     bool (* check_involvement)(void *thing, void *data),
! 		     void *data, const char *arg, bool requeue) {
    EVENT_DATA *event        = malloc(sizeof(EVENT_DATA));
    event->owner             = owner;
    event->on_complete       = on_complete;
    event->check_involvement = check_involvement;
    event->delay             = delay;
+   event->tot_time          = delay;
    event->data              = data;
    event->arg               = strdup(arg ? arg :"");
+   event->requeue           = requeue;
    return event;
  }
  
***************
*** 137,154 ****
  		 void *on_complete,
  		 void *check_involvement,
  		 void *data,
! 		 char *arg) {
    listPut(events, newEvent(owner, delay, on_complete, check_involvement,
! 			   data, arg));
  }
  
  void pulse_events(int time) {
    LIST_ITERATOR *ev_i = newListIterator(events);
    EVENT_DATA   *event = NULL;
  
!   // we can't use ITERATE_LIST here, because there are times
!   // where we will remove our current element  from the list, 
!   // making it kinda hard to go onto the next one afterwards ;)
    ITERATE_LIST(event, ev_i) {
      // decrement the delay
      event->delay -= time;
--- 141,166 ----
  		 void *on_complete,
  		 void *check_involvement,
  		 void *data,
! 		 const char *arg) {
    listPut(events, newEvent(owner, delay, on_complete, check_involvement,
! 			   data, arg, FALSE));
! }
! 
! void start_update(void *owner, 
! 		  int   delay,
! 		  void *on_complete,
! 		  void *check_involvement,
! 		  void *data,
! 		  const char *arg) {
!   listPut(events, newEvent(owner, delay, on_complete, check_involvement,
! 			   data, arg, TRUE));
  }
  
  void pulse_events(int time) {
    LIST_ITERATOR *ev_i = newListIterator(events);
    EVENT_DATA   *event = NULL;
  
!   // go over all of the events
    ITERATE_LIST(event, ev_i) {
      // decrement the delay
      event->delay -= time;
***************
*** 156,162 ****
      if(event->delay <= 0) {
        listRemove(events, event);
        run_event(event);
!       deleteEvent(event);
      }
    }
    deleteListIterator(ev_i);
--- 168,182 ----
      if(event->delay <= 0) {
        listRemove(events, event);
        run_event(event);
!       // if we need to requeue, reset the timer 
!       // and put us back in the list
!       if(event->requeue) {
! 	event->delay = event->tot_time;
! 	listPut(events, event);
!       }
!       // otherwise, just delete the event
!       else
! 	deleteEvent(event);
      }
    }
    deleteListIterator(ev_i);
diff -crN nakedmudv1.4/src/event.h nakedmudv1.5/src/event.h
*** nakedmudv1.4/src/event.h	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv1.5/src/event.h	2010-11-01 15:54:17.000000000 -0500
***************
*** 57,62 ****
   		 void *on_complete,
  		 void *check_involvement,
  		 void *data,
! 		 char *arg);
  
  #endif // __EVENT_H
--- 57,75 ----
   		 void *on_complete,
  		 void *check_involvement,
  		 void *data,
! 		 const char *arg);
! 
! 
! //
! // same deal as start_event, but will automatically re-queue the event
! // after it has fired. Useful for events that are currently running (e.g.
! // mudtime updating, ticks, zone reset timers).
! //
! void start_update(void *owner,
! 		  int   delay,
! 		  void *on_complete,
! 		  void *check_involvement,
! 		  void *data,
! 		  const char *arg);
  
  #endif // __EVENT_H
diff -crN nakedmudv1.4/src/exit.c nakedmudv1.5/src/exit.c
*** nakedmudv1.4/src/exit.c	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv1.5/src/exit.c	2010-11-01 15:54:17.000000000 -0500
***************
*** 103,118 ****
  
  STORAGE_SET *exitStore(EXIT_DATA *exit) {
    STORAGE_SET *set = new_storage_set();
!   store_string(set, "name",       exit->name,       NULL);
!   store_string(set, "keywords",   exit->keywords,   NULL);
!   store_string(set, "desc",       exit->description,NULL);
!   store_string(set, "enter",      exit->spec_enter, NULL);
!   store_string(set, "leave",      exit->spec_leave, NULL);
!   store_int   (set, "to",         exit->to,         NULL);
!   store_int   (set, "key",        exit->key,        NULL);
!   store_int   (set, "hide_level", exit->hide_lev,   NULL);
!   store_int   (set, "pick_level", exit->pick_lev,   NULL);
!   store_int   (set, "closable",   exit->closable,   NULL);
    return set;
  }
  
--- 103,118 ----
  
  STORAGE_SET *exitStore(EXIT_DATA *exit) {
    STORAGE_SET *set = new_storage_set();
!   store_string(set, "name",       exit->name);
!   store_string(set, "keywords",   exit->keywords);
!   store_string(set, "desc",       exit->description);
!   store_string(set, "enter",      exit->spec_enter);
!   store_string(set, "leave",      exit->spec_leave);
!   store_int   (set, "to",         exit->to);
!   store_int   (set, "key",        exit->key);
!   store_int   (set, "hide_level", exit->hide_lev);
!   store_int   (set, "pick_level", exit->pick_lev);
!   store_int   (set, "closable",   exit->closable);
    return set;
  }
  
diff -crN nakedmudv1.4/src/extra_descs.c nakedmudv1.5/src/extra_descs.c
*** nakedmudv1.4/src/extra_descs.c	2010-11-01 15:54:18.000000000 -0500
--- nakedmudv1.5/src/extra_descs.c	2010-11-01 15:54:17.000000000 -0500
***************
*** 43,50 ****
  
  STORAGE_SET *edescStore(EDESC_DATA *data) {
    STORAGE_SET *set = new_storage_set();
!   store_string(set, "keywords", data->keywords, NULL);
!   store_string(set, "desc",     data->desc,     NULL);
    return set;
  }
  
--- 43,50 ----
  
  STORAGE_SET *edescStore(EDESC_DATA *data) {
    STORAGE_SET *set = new_storage_set();
!   store_string(set, "keywords", data->keywords);
!   store_string(set, "desc",     data->desc);
    return set;
  }
  
***************
*** 64,70 ****
  
  STORAGE_SET *edescSetStore(EDESC_SET *edescs) {
    STORAGE_SET *set             = new_storage_set();
!   store_list(set, "list", gen_store_list(edescs->edescs, edescStore), NULL);
    return set;
  }
  
--- 64,70 ----
  
  STORAGE_SET *edescSetStore(EDESC_SET *edescs) {
    STORAGE_SET *set             = new_storage_set();
!   store_list(set, "list", gen_store_list(edescs->edescs, edescStore));
    return set;
  }
  
